# Pyserini Release Notes (v0.9.3.1)

**Release date: June 11, 2020**

+ Refactored structure and layout of packages/modules.
+ Added `SimpleFusionSearcher` and implemented different fusion methods (including RRF).
+ Added classes for manipulating TREC runs in `pyserini.trectools` package.
+ Added `BM25Vectorizer`.
+ Added bindings to TREC News Track background linking topics.
+ Added scripts for initial temporal and citation analysis of CORD-19.
+ Added common eval tools and scripts as Git submodule `tools/`.
+ Added command-line program in `pyserini.fusion` package for performing run fusion.
+ Exposed Java `IndexCollection` bindings in `pyserini.index` package.
+ Improved consistency of command-line args in `pyserini.search` package.
+ Improved testing; added integration tests in `integrations/`, cleaned up `verify_simplesearcher.py`.
+ Improved documentation.

## Contributors (This Release)

Sorted by number of commits:

+ Johnson Han ([x65han](https://github.com/x65han))
+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))

## All Contributors

Sorted by number of commits, [according to GitHub](https://github.com/castorini/pyserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Tim Hatch ([thatch](https://github.com/thatch))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Alireza Mirzaeiyan ([amirzaeiyan](https://github.com/amirzaeiyan))
